MPTSCSIH_DO_CMD(9)

NAME
mptscsih_do_cmd - Do internal command.

SYNOPSIS

int mptscsih_do_cmd(MPT_SCSI_HOST * hd, INTERNAL_CMD * io);

ARGUMENTS

hd
    MPT_SCSI_HOST pointer

io
    INTERNAL_CMD pointer.

DESCRIPTION

Issue the specified internally generated command and do command specific cleanup. For bus scan / DV only.

NOTES

If command is Inquiry and status is good, initialize a target structure, save the data

REMARK

Single threaded access only.

RETURN

< 0 if an illegal command or no resources

0 if good

> 0 if command complete but some type of completion error.

COPYRIGHT